## GtkClutterWindow

GtkClutterWindow — a GtkWindow that embeds its contents onto a stage

## Functions

GtkWidget * | gtk_clutter_window_new ()
ClutterActor * | gtk_clutter_window_get_stage ()

## Types and Values

struct | GtkClutterWindow
struct | GtkClutterWindowClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkClutterWindow

## Implemented Interfaces

GtkClutterWindow implements AtkImplementorIface and GtkBuildable.

## Description

GtkClutterWindow is a GtkWindow sub-class that embeds a Clutter stage.

GtkClutterWindow behaves exactly like a GtkWindow, except that its child is automatically embedded inside a GtkClutterActor and it is thus part of the embedded ClutterStage.

Clutter actors can be added to the same stage by calling `gtk_clutter_window_get_stage()`.

## Functions

### gtk_clutter_window_new ()

    GtkWidget *
    gtk_clutter_window_new (void);

Creates a new GtkClutterWindow widget.

This window provides a hidden ClutterStage on which the child GtkWidgets are placed. This allows other ClutterActors to also be placed on the stage.

#### Returns

the newly created GtkClutterWindow

### gtk_clutter_window_get_stage ()

    ClutterActor *
    gtk_clutter_window_get_stage (GtkClutterWindow *window);

Retrieves the ClutterStage that this window is embedding

Use this function if you wish to add other actors to the ClutterStage.

#### Parameters

window | the GtkClutterWindow |

#### Returns

the window's ClutterStage.

[transfer none]

## Types and Values

### struct GtkClutterWindow

    struct GtkClutterWindow;

A GtkWindow containing a ClutterStage.

The GtkClutterWindow structure contains only private data and it should be accessed using the provided API.

### struct GtkClutterWindowClass

    struct GtkClutterWindowClass {
    };

Base class for GtkClutterWindow.

The GtkClutterWindowClass structure contains only private data.